Trigger automation
Manually trigger an automation run.
Base URL
POST
Manually trigger an automation run.
bearerAuthheader
AuthorizationBearer <token>API key authentication. Use your API key as the bearer token.
automation_id*stringapplication/json- body
variables?Template variable overrides (string values only)
Automation triggered
application/json- response
data*curl -X POST 'https://your-org.inspect.com/api/public/v1/automations/string/trigger' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "data": { "id": "string", "name": "string", "description": "string", "prompt": "string", "repositories": [ "string" ], "triggers": [ { "id": "string", "type": "cron", "schedule_expression": "string", "cron_expression": "string", "timezone": "string", "enabled": true } ], "slack_channel_id": "string", "slack_fanout_destinations": [ { "channel_id": "string", "context": "string" } ], "post_to_slack_on_start": true, "slack_mention_users": [ { "type": "user", "id": "string", "name": "string", "image": "string" } ], "notify_collaborators_on_merge": true, "run_as": "owner", "owner": { "id": "string", "name": "string", "email": "string", "image": "string" }, "collaborators": [ { "id": "string", "name": "string", "email": "string", "image": "string" } ], "model_id": "string", "custom_agent_id": "string", "autofix_ci_failures": true, "auto_review_enabled": true, "auto_address_pr_reviews_policy": { "enabled": true, "reviewerCategories": { "human": true, "bot": true }, "identityRules": [ { "selector": "string", "ruleType": "allow" } ], "reviewBuddy": { "enabled": true, "enabledFindingTypes": [ "critical" ] } }, "template_variables": {}, "enabled": true, "last_run_at": "2019-08-24T14:15:22Z", "next_run_at": "2019-08-24T14:15:22Z", "archived_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "viewer_can_edit": true }}